=== modified file 'doc/kate/configuring.docbook'
--- doc/kate/configuring.docbook	2011-09-07 18:33:38 +0000
+++ doc/kate/configuring.docbook	2011-11-23 14:02:22 +0000
@@ -1076,8 +1076,8 @@
 <listitem>
 <para>The editor will search the given number of folder levels upwards
 for &kappname; config file and load the settings line from it.
-Further information about these hidden folder config files you find in the article
-<ulink url="http://kate-editor.org/article/.kateconfig">The File .kateconfig</ulink>.
+Further information about these hidden folder config files you find in the
+<link linkend="config-variables">document variables section</link>.
 </para>
 </listitem>
 </varlistentry>
@@ -1348,12 +1348,12 @@
 
 <title>Configuring With Document Variables</title>
 
-<para>Kate variables is kateparts implementation of document variables, similar
-to emacs and vi modelines. In katepart, the lines have the format
+<para>&kate; variables is katepart's implementation of document variables, similar
+to emacs and vi modelines. In katepart, the lines have the following format:
 
 <userinput>kate: VARIABLENAME VALUE; [ VARIABLENAME VALUE; ... ]</userinput>
 
-the lines can of course be in a comment, if the file is in a format with comments.
+The lines can of course be in a comment, if the file is in a format with comments.
 Variable names are single words (no whitespace), and anything up to the next
 semicolon is the value. The semicolon is required.</para>
 
@@ -1365,6 +1365,14 @@
 
 <note><para>Only the first and last 10 lines are searched for variable lines.</para></note>
 
+<para>Additionally, document variables can be placed in a file called
+<filename>.kateconfig</filename> in any directory, and the configured settings will
+be applied as if the modelines were entered on every file in the directory and its
+subdirectories, as far down as the
+<link linkend="pref-open-save-advanced">configured search depth.</link>
+Document variables in <filename>.kateconfig</filename> use the same syntax as
+in modelines.</para>
+
 <para>There are variables to support almost all configurations in katepart, and
 additionally plugins can use variables, in which case it should be documented in
 the plugin's documentation.</para>
@@ -1379,20 +1387,21 @@
 <listitem><para>The global configuration.</para></listitem>
 <listitem><para>Optional session data.</para></listitem>
 <listitem><para>The "Filetype" configuration.</para></listitem>
+<listitem><para>Document variables in <filename>.kateconfig</filename>.</para></listitem>
 <listitem><para>Document variables in the document itself.</para></listitem>
 <listitem><para>Settings made during editing from menu or command line.</para></listitem>
 </itemizedlist>
 
-As you can understand document variables has the next highest precedence.
+As you see, document variables are only overriden by changes made at runtime.
 Whenever a document is saved, the document variables are reread, and will
 overwrite changes made using menu items or the command line.</para>
 
 <para>Any variable not listed below is stored in the document and can be queried
 by other objects such as plugins, which can use them for their own purpose.
-For example the variable indent mode uses document variables for its
+For example, the variable indent mode uses document variables for its
 configuration.</para>
 
-<para>The variables listed here documents &kate; version 2.4. More variables
+<para>The variables listed here documents &kate; version 3.7. More variables
 may be added in the future. There are 3 possible types of values for variables,
 with the following valid expressions:
 <itemizedlist>
@@ -1418,41 +1427,46 @@
 <varlistentry id="variable-auto-insert-doxygen">
 <term><cmdsynopsis><command>auto-insert-doxygen</command><arg>BOOL</arg></cmdsynopsis></term>
 <listitem><para>Turn insertion of the leading asterisk in doxygen comments on or
-off. This has no effect unless you use the cstyle auto-indenter. </para></listitem>
+off. This has no effect unless you use the C-style auto-indenter. </para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-background-color">
 <term><cmdsynopsis><command>background-color</command><arg>STRING</arg></cmdsynopsis></term>
 <listitem><para>Set the document background color. The value must be something
-that can be evaluated to a valid color, for example "#ff0000".</para></listitem>
+that can be evaluated to a valid color, for example <userinput>#ff0000</userinput>.
+</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-backspace-indents">
 <term><cmdsynopsis><command>backspace-indents</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Turn backspace indenting on or off.</para></listitem>
+<listitem><para>Enable or disable unindenting when &Backspace; is pressed.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-block-selection">
 <term><cmdsynopsis><command>block-selection</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Turn block selection on or off.</para></listitem>
+<listitem><para>Turn <link linkend="kate-part-selection-block">block selection</link>
+on or off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-byte-order-marker">
 <term><cmdsynopsis><command>bom | byte-order-marker</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Enable/disable the byte order marker when saving files in unicode format (utf8, utf16, utf32).</para>
+<listitem><para>Enable/disable the byte order marker when saving files in unicode format
+(utf8, utf16, utf32).</para>
 <para>Since: Kate 3.4 (KDE 4.4)</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-bracket-highlight-color">
 <term><cmdsynopsis><command>bracket-highlight-color</command><arg>STRING</arg></cmdsynopsis></term>
 <listitem><para>Set the color for the bracket highlight. The value must be
-something that can be evaluated to a valid color, for example "#ff0000" </para></listitem>
+something that can be evaluated to a valid color, for example <userinput>#ff0000</userinput>.
+</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-current-line-color">
 <term><cmdsynopsis><command>current-line-color</command><arg>STRING</arg></cmdsynopsis></term>
 <listitem><para>Set the color for the current line. The  value must be
-something that can be evaluated to a valid color, for example "#ff0000".</para></listitem>
+something that can be evaluated to a valid color, for example <userinput>#ff0000</userinput>
+</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-default-dictionary">
@@ -1463,18 +1477,21 @@
 
 <varlistentry id="variable-dynamic-word-wrap">
 <term><cmdsynopsis><command>dynamic-word-wrap</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Turns dynamic word wrap on or off.</para></listitem>
+<listitem><para>Turns <link linkend="kate-part-auto-wrap">dynamic word wrap</link> on or
+off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-end-of-line">
 <term><cmdsynopsis><command>eol | end-of-line</command><arg>STRING</arg></cmdsynopsis></term>
 <listitem><para>Set the end of line mode. Valid settings are
-<quote>unix</quote>, <quote>mac</quote> and <quote>dos</quote></para></listitem>
+<userinput>unix</userinput>, <userinput>mac</userinput> and <userinput>dos</userinput></para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-folding-markers">
 <term><cmdsynopsis><command>folding-markers</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Set the display of folding markers on or off.</para></listitem>
+<listitem><para>Set the display of
+<link linkend="advanced-editing-tools-code-folding">folding markers</link> on or off.
+</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-font-size">
@@ -1485,18 +1502,19 @@
 <varlistentry id="variable-font">
 <term><cmdsynopsis><command>font</command><arg>STRING</arg></cmdsynopsis></term>
 <listitem><para>Set the font of the document. The value should be a valid font
-name, for example <quote>courier</quote>.</para></listitem>
+name, for example <userinput>courier</userinput>.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-syntax">
 <term><cmdsynopsis><command>hl | syntax</command><arg>STRING</arg></cmdsynopsis></term>
-<listitem><para>Set the syntax highlighting. Valid strings are all the names available in the menus. For instance, for C++ simply write <literal>C++</literal>.</para></listitem>
+<listitem><para>Set the syntax highlighting. Valid strings are all the names available
+in the menus.  For instance, for C++ simply write <userinput>C++</userinput>.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-icon-bar-color">
 <term><cmdsynopsis><command>icon-bar-color</command><arg>STRING</arg></cmdsynopsis></term>
 <listitem><para>Set the icon bar color. The  value must be something that can
-be evaluated to a valid color, for example <literal>#ff0000</literal>.</para></listitem>
+be evaluated to a valid color, for example <userinput>#ff0000</userinput>.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-icon-border">
@@ -1506,10 +1524,10 @@
 
 <varlistentry id="variable-indent-mode">
 <term><cmdsynopsis><command>indent-mode</command><arg>STRING</arg></cmdsynopsis></term>
-<listitem><para>Set the auto-indentation mode. The options <quote>none</quote>,
-<quote>normal</quote>, <quote>cstyle</quote>, <quote>haskell</quote>,
-<quote>lilypond</quote>, <quote>lisp</quote>, <quote>python</quote>,
-<quote>ruby</quote> and <quote>xml</quote> are recognized. See the section
+<listitem><para>Set the auto-indentation mode. The options <userinput>none</userinput>,
+<userinput>normal</userinput>, <userinput>cstyle</userinput>, <userinput>haskell</userinput>,
+<userinput>lilypond</userinput>, <userinput>lisp</userinput>, <userinput>python</userinput>,
+<userinput>ruby</userinput> and <userinput>xml</userinput> are recognized. See the section
 <xref linkend="kate-part-autoindent"/> for details.</para></listitem>
 </varlistentry>
 
@@ -1541,7 +1559,8 @@
 
 <varlistentry id="variable-persistent-selection">
 <term><cmdsynopsis><command>persistent-selection</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Set persistent selection on or off.</para></listitem>
+<listitem><para>Set <link linkend="kate-part-selection-persistent">persistent selection</link>
+on or off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-remove-trailing-space">
@@ -1551,12 +1570,12 @@
 
 <varlistentry id="variable-replace-tabs-save">
 <term><cmdsynopsis><command>replace-tabs-save</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Set tab-&gt;space conversion on save on or off.</para></listitem>
+<listitem><para>Set tab to space conversion on save on or off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-replace-tabs">
 <term><cmdsynopsis><command>replace-tabs</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Set dynamic tab-&gt;space conversion on or off.</para></listitem>
+<listitem><para>Set dynamic tab to space conversion on or off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-replace-trailing-space-save">
@@ -1573,33 +1592,35 @@
 <varlistentry id="variable-selection-color">
 <term><cmdsynopsis><command>selection-color</command><arg>STRING</arg></cmdsynopsis></term>
 <listitem><para>Set the selection color. The  value must be something that can
-be evaluated to a valid color, for example "#ff0000".</para></listitem>
+be evaluated to a valid color, for example <userinput>#ff0000</userinput>.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-show-tabs">
 <term><cmdsynopsis><command>show-tabs</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Set the visual TAB character on or off.</para></listitem>
+<listitem><para>Set the visual &Tab; character on or off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-smart-home">
 <term><cmdsynopsis><command>smart-home</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Set smart home navigation on or off.</para></listitem>
+<listitem><para>Set <link linkend="pref-edit-cursor-selection">smart home navigation</link>
+on or off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-space-indent">
 <term><cmdsynopsis><command>space-indent</command><arg>BOOL</arg></cmdsynopsis></term>
 <listitem><para>Set indentation with spaces on or off.</para>
-<para>Note: Deprecated since Kate 3 in KDE4. Mixed indentation is the default behavior. Set <command>replace-tabs on;</command> to achieve space-only indentation.</para></listitem>
+<para>Note: Deprecated since Kate 3 in KDE4. Mixed indentation is the default behavior.
+Set <command>replace-tabs on;</command> to achieve space-only indentation.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-tab-indents">
 <term><cmdsynopsis><command>tab-indents</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Set the TAB key indentation on or off.</para></listitem>
+<listitem><para>Set &Tab; key indentation on or off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-tab-width">
 <term><cmdsynopsis><command>tab-width</command><arg>INT</arg></cmdsynopsis></term>
-<listitem><para>Set the tab display width.</para></listitem>
+<listitem><para>Set the tab character display width.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-undo-steps">
@@ -1610,18 +1631,19 @@
 
 <varlistentry id="variable-word-wrap-column">
 <term><cmdsynopsis><command>word-wrap-column</command><arg>INT</arg></cmdsynopsis></term>
-<listitem><para>Set the hard word wrap width.</para></listitem>
+<listitem><para>Set the <link linkend="kate-part-auto-wrap">static word wrap</link>
+width. </para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-word-wrap-marker-color">
 <term><cmdsynopsis><command>word-wrap-marker-color</command><arg>STRING</arg></cmdsynopsis></term>
-<listitem><para>Set the word wrap marker color. The  value must be something
-that can be evaluated to a valid color, for example "#ff0000".</para></listitem>
+<listitem><para>Set the word wrap marker color. The value must be something
+that can be evaluated to a valid color, for example <userinput>#ff0000</userinput>.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-word-wrap">
 <term><cmdsynopsis><command>word-wrap</command><arg>BOOL</arg></cmdsynopsis></term>
-<listitem><para>Set hard word wrapping on or off.</para></listitem>
+<listitem><para>Set static word wrapping on or off.</para></listitem>
 </varlistentry>
 
 <varlistentry id="variable-wrap-cursor">
@@ -1635,4 +1657,4 @@
 
 </sect1>
 
-</chapter>
+</chapter>
\ No newline at end of file

=== modified file 'doc/kate/index.cache.bz2'
Binary files doc/kate/index.cache.bz2 and doc/kate/index.cache.bz2 differ
=== modified file 'doc/kate/part.docbook'
--- doc/kate/part.docbook	2011-09-07 18:33:38 +0000
+++ doc/kate/part.docbook	2011-11-23 14:02:22 +0000
@@ -484,7 +484,7 @@
 </sect1>
 
 <sect1 id="kate-part-auto-wrap">
-
+<!--dynamic word wrap needs description here-->
 <title>Automatically Wrapping text</title>
 
 <para>This feature allows you to have the text formatted in a very simple way: the text will be wrapped,

=== modified file 'doc/kate/plugins.docbook'
--- doc/kate/plugins.docbook	2011-10-13 13:56:40 +0000
+++ doc/kate/plugins.docbook	2011-11-23 14:02:22 +0000
@@ -877,6 +877,245 @@
 </sect2>
 </sect1>
 
+<sect1 id="kate-application-plugin-searchinfiles">
+<sect1info>
+<authorgroup><author>
+<firstname>T.C.</firstname>
+<surname>Hollingsworth</surname>
+<affiliation><address><email>tchollingsworth@gmail.com</email></address></affiliation>
+</author></authorgroup>
+</sect1info>
+<title>Search in Files</title>
+
+<sect2 id="searchinfiles-intro">
+<title>Introduction</title>
+<para>&kappname;'s Search in Files plugin allows you to search for text or
+<link linkend="regular-expressions">regular expressions</link> in many different
+files at once.  You can search all open files, or all the files in one directory,
+and optionally its subdirectories.  You can even filter by filename, for instance
+searching only files that end with a particular file extension.</para>
+
+<para>The Search in Files plugin is not enabled by default, as it is new in &kappname;
+3.7.  Enable it in the <link linkend="config-dialog-plugins">Plugins</link> panel
+of &kappname;'s settings.  It will replace the old
+<link linkend="kate-application-plugin-findinfiles">Find in Files plugin</link>
+in the next version of &kappname;.</para>
+
+</sect2>
+
+<sect2 id="searchinfiles-ui">
+<title>Interface</title>
+
+<sect3 id="searchinfiles-ui-query">
+<title>Search Query</title>
+
+<para>The following options are always displayed at the top of the Search in
+Files tool view:</para>
+
+<variablelist>
+
+<varlistentry>
+<term><guiicon>New Tab</guiicon></term>
+<listitem><para>
+You can have as many searches as you want open at the same time.  Simply click
+the <guibutton>New Tab</guibutton> button at the top-left corner of the Search
+tool view and a new results tab will open permitting you to perform another
+search.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Query</term>
+<listitem><para>
+The long text box at the top is where you type in what you want to find.  You may
+enter standard text, or a regular expression if enabled.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guibutton>Search</guibutton></term>
+<listitem><para>
+When you've finished configuring everything, just press the
+<guibutton>Search</guibutton> button to perform your search.  You may also press
+&Enter; in the Query text box to do the same.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guimenu>Location</guimenu></term>
+<listitem><para>
+This has two options.  Select <guilabel>in Open Files</guilabel> to search all
+files currently open in &kappname;.  Select <guilabel>in Folder</guilabel> to
+search inside a folder and optionally its subfolders.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guimenu>Options</guimenu></term>
+<listitem><para>
+There are two available options.  If enabled, <guilabel>Match case</guilabel>
+will restrict search results to only those that have the exact same combination
+of upper and lower-case letters as your search query.  <guilabel>Regular
+expressions</guilabel> permits you to use
+<link linkend="regular-expressions">regular expressions</link> instead of simple
+text as your search query.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guiicon>Toggle Results</guiicon></term>
+<listitem><para>
+The down arrow in the top right-corner of the Search in Files tool view will
+toggle the bottom half of the tool view between displaying additional options
+for the Search in Folder mode and the results of your search.
+</para></listitem>
+</varlistentry>
+
+</variablelist>
+</sect3>
+
+<sect3 id="searchinfiles-ui-folder">
+<title>Search in Folder Options</title>
+
+<para>These options are displayed below the aforementioned query options. If search
+results are being displayed instead, press the <guiicon>Toggle Results</guiicon>
+button to display them.  These options apply only when Search in Folder mode is
+enabled.  If Search in Open Files is selected, they will be disabled.</para>
+
+<variablelist>
+
+<varlistentry>
+<term><guilabel>Folder</guilabel></term>
+<listitem><para>
+You may enter the path of the folder you wish to search.  For instance, you might
+enter <userinput>~/development/kde/kate/</userinput> if you wished to search the
+&kate; source code.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guiicon>Open file dialog</guiicon></term>
+<listitem><para>
+Press this button to locate for the folder in your desktop's folder browser.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guiicon>Up</guiicon></term>
+<listitem><para>
+Press this button to change <guilabel>Folder</guilabel> to the parent of the
+currently selected folder.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guiicon>Restore Current Folder</guiicon></term>
+<listitem><para>
+This button will set the <guilabel>Folder</guilabel> entry to the folder in which
+the currently open document is located.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guilabel>Filter</guilabel></term>
+<listitem><para>
+This permits you to only search filenames that match a particular pattern.  For
+instance, to only search files written in C++, change it to
+<userinput>*.cpp</userinput>.  To search only files beginning with
+<literal>kate</literal>, change it to <userinput>kate*</userinput>.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guilabel>Recursive</guilabel></term>
+<listitem><para>
+If this option is enabled, &kappname; will also search in all subfolders of the
+selected folder.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guilabel>Include hidden</guilabel></term>
+<listitem><para>
+If this option is enabled, &kappname; will also search in files or folders that
+are typically hidden by your &OS;.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><guilabel>Follow symbolic links</guilabel></term>
+<listitem><para>
+The Search in Files plugin typically doesn't follow
+<ulink url="http://en.wikipedia.org/wiki/Symbolic_link">symbolic links</ulink>.
+When this option is enabled, the plugin will follow them instead and search inside
+the files or folders they reference.
+</para>
+<warning><para>It's possible for symbolic links to reference a folder that is the
+parent of the folder currently being searched, or other folders that contain
+symbolic links to their parent.  If there is such a link in the folder being
+searched and this option is enabled, &kappname; will repeatedly follow the link
+and search the folder, and the search will never complete.</para></warning>
+</listitem>
+</varlistentry>
+
+</variablelist>
+</sect3>
+
+<sect3 id="searchinfiles-ui-results">
+<title>Search Results</title>
+
+<para>The results of your search are displayed below the query options.  If
+options for Search in Folder mode are displayed, simply press the
+<guiicon>Toggle Results</guiicon> button to display them.  They will also
+automatically be displayed as soon as a search is performed.</para>
+
+<para>The search results displays three columns providing information about each
+result of your search query.  The <guilabel>File</guilabel> column shows the name
+of the file.  The <guilabel>Line</guilabel> column displays the line number the
+contents of your query were found in.  The <guilabel>Text</guilabel> column displays
+the full text of that line.</para>
+
+<para>To open the file your result was found in, simply double-click it.  &kappname;
+will open the file if needed, and place the cursor at the beginning of the text
+entered as your query as found in the file.</para>
+
+</sect3>
+</sect2>
+
+<sect2 id="searchinfiles-menu">
+<title>Menu Structure</title>
+<variablelist>
+
+<!--<varlistentry>
+<term>
+<menuchoice>
+<guimenu>Edit</guimenu>
+<guimenuitem>Find in Files...</guimenuitem>
+</menuchoice>
+</term>
+<listitem>
+<para>Launch the <guilabel>Find in Files</guilabel> dialog to allow you to
+search for text in the files of a folder.</para>
+</listitem>
+</varlistentry>-->
+
+<varlistentry>
+<term>
+<menuchoice>
+<guimenu>View</guimenu><guisubmenu>Tool Views</guisubmenu>
+<guimenuitem>Show Search in Files</guimenuitem>
+</menuchoice>
+</term>
+<listitem>
+<para>Toggle the display of &kappname;'s <guilabel>Search in Files</guilabel> tool.
+</para>
+</listitem>
+</varlistentry>
+
+</variablelist>
+</sect2>
+</sect1>
+
 <sect1 id="kate-application-plugin-mail">
 <!--<sect1info>
 <authorgroup><author>

=== modified file 'doc/kwrite/index.cache.bz2'
Binary files doc/kwrite/index.cache.bz2 and doc/kwrite/index.cache.bz2 differ
=== modified file 'kate/plugins/snippets_tng/editor/data/ktesnippets_editor.desktop'
--- kate/plugins/snippets_tng/editor/data/ktesnippets_editor.desktop	2011-09-07 18:33:38 +0000
+++ kate/plugins/snippets_tng/editor/data/ktesnippets_editor.desktop	2011-11-23 14:02:22 +0000
@@ -37,7 +37,7 @@
 GenericName[sr@latin]=Uređivač fajla isečaka
 GenericName[sv]=Datafileditor för textsnuttar
 GenericName[tr]=Parçacık veri dosyası düzenleyici
-GenericName[ug]=كود بۆلىكى سانلىق-مەلۇمات ھۆججەت تەھرىرلىگۈچ
+GenericName[ug]=پۇرۇچ سانلىق-مەلۇمات ھۆججەت تەھرىرلىگۈچ
 GenericName[uk]=Редактор файлів даних фрагментів
 GenericName[x-test]=xxSnippets datafile editorxx
 GenericName[zh_CN]=代码片段数据文件编辑器
@@ -80,7 +80,7 @@
 Name[sr@latin]=uređivač fajlova isečaka
 Name[sv]=Datafileditor för textsnuttar
 Name[tr]=Parçacık veri dosyası düzenleyici
-Name[ug]=كود بۆلىكى سانلىق-مەلۇمات ھۆججەت تەھرىرلىگۈچ
+Name[ug]=پۇرۇچ سانلىق-مەلۇمات ھۆججەت تەھرىرلىگۈچ
 Name[uk]=Редактор файлів даних фрагментів
 Name[x-test]=xxSnippets datafile editorxx
 Name[zh_CN]=代码片段数据文件编辑器

=== modified file 'kate/plugins/snippets_tng/katesnippets_tngplugin.desktop'
--- kate/plugins/snippets_tng/katesnippets_tngplugin.desktop	2011-09-07 18:33:38 +0000
+++ kate/plugins/snippets_tng/katesnippets_tngplugin.desktop	2011-11-23 14:02:22 +0000
@@ -44,7 +44,7 @@
 Name[sr@latin]=Kateini isečci
 Name[sv]=Textsnuttar i Kate
 Name[tr]=Kate Parçacıklar
-Name[ug]=Kate كود بۆلىكى
+Name[ug]=Kate پۇرۇچلىرى
 Name[uk]=Фрагменти тексту Kate
 Name[x-test]=xxKate Snippetsxx
 Name[zh_CN]=Kate 片段
@@ -87,7 +87,7 @@
 Comment[sr@latin]=Priključak isečaka sa podrškom za dopunu kô̂da
 Comment[sv]=Insticksprogram för textsnuttar med stöd för kodkomplettering
 Comment[tr]=Kod tamamlama desteğine sahip parçacık eklentisi
-Comment[ug]=كود بۆلىكىنى تولۇقلايدىغان قىستۇرما قوللاش
+Comment[ug]=پۇرۇچلارنى تولۇقلايدىغان قىستۇرما قوللاش
 Comment[uk]=Додаток для роботи з фрагментами з підтримкою завершення коду
 Comment[x-test]=xxSnippets plugin with code completion supportxx
 Comment[zh_CN]=支持代码补全的片段插件

=== modified file 'ktexteditor/kcm_ktexteditor.desktop'
--- ktexteditor/kcm_ktexteditor.desktop	2011-09-07 18:33:38 +0000
+++ ktexteditor/kcm_ktexteditor.desktop	2011-11-23 14:02:22 +0000
@@ -92,7 +92,7 @@
 Comment[sr@latin]=Servis uređivača teksta pruža programima način za prikazivanje i uređivanje tekstova. Trebalo bi da ga koriste svi KDE programi kojima je to potrebno.
 Comment[sv]=Texteditortjänsten ger program en textvisare och editor. KDE-program som tillhandahåller textredigeringsfunktioner bör använda denna tjänst.
 Comment[tr]=Metin düzenleyici hizmeti, uygulamalara bir metin gösterici ve düzenleyicisi sağlar. Metin düzenleme olanakları sağlayan KDE uygulamaları bu hizmeti kullanmalıdır.
-Comment[ug]=تېكىست تەھرىرچى مۇلازىمىتى تېكىست كۆرگۈچ ۋە تەھرىرچى پروگراممىنى تەمىنلىدى. تېكىست تەھرىر ئىقتىدارىنى تەمىنلەيدىغان KDE پروگراممىلىرىنىڭ ھەممىسى مۇشۇ مۇلازىمەتنى ئىشلىتىدۇ.
+Comment[ug]=تېكىست مۇلازىمىتى تېكىست كۆرگۈچ ۋە تەھرىرلەش پروگراممىنى تەمىنلىدى. تېكىست تەھرىر ئىقتىدارىنى تەمىنلەيدىغان KDE پروگراممىلىرىنىڭ ھەممىسى مۇشۇ مۇلازىمەتنى ئىشلىتىدۇ.
 Comment[uk]=Служба «Текстовий редактор» забезпечує роботу програм з переглядачем та редактором тексту. Програми KDE, які надають можливість редагування тексту, повинні користуватись цією службою.
 Comment[x-test]=xxThe text editor service provides applications with a text viewer and editor. KDE applications that provide text editing facilities should use this service.xx
 Comment[zh_CN]=文本编辑器服务提供了文本查看器和编辑器的应用程序。提供文本编辑功能的 KDE 应用程序都应该使用此服务。

=== modified file 'part/plugins/insertfile/ktexteditor_insertfile.desktop'
--- part/plugins/insertfile/ktexteditor_insertfile.desktop	2011-09-07 18:33:38 +0000
+++ part/plugins/insertfile/ktexteditor_insertfile.desktop	2011-11-23 14:02:22 +0000
@@ -71,6 +71,7 @@
 Comment[bs]=Ubaci neku čitljivu datoteku na poziciji kursora
 Comment[ca]=Inserir qualsevol fitxer llegible en la posició del cursor
 Comment[ca@valencia]=Inserir qualsevol fitxer llegible en la posició del cursor
+Comment[cs]=Vloží jakýkoliv čitelný soubor na místo kurzoru
 Comment[da]=Indsæt en vilkårlig læsbar fil ved markørens position
 Comment[de]=Beliebige lesbare Datei an Cursor-Position einfügen
 Comment[en_GB]=Insert any readable file at cursor position
@@ -107,7 +108,7 @@
 Comment[sv]=Infoga vilken läsbar fil som helst vid markörens plats
 Comment[th]=แทรกแฟ้มที่อ่านได้ใดๆ ไปยังตำแหน่งเคอร์เซอร์ปัจจุบัน
 Comment[tr]=Okunabilir bir dosya içeriğini imleç konumuna ekle
-Comment[ug]=نۇر بەلگە ئورنىغا خالىغان ئوقۇشچان ھۆججەتنى قىستۇر
+Comment[ug]=نۇربەلگە ئورنىغا خالىغان ئوقۇشچان ھۆججەتنى قىستۇر
 Comment[uk]=Вставляє вміст будь-якого файла, який можна прочитати, у позицію курсора
 Comment[wa]=Sititchî tot l' minme li ké fitchî lijhåve al pôzucion do cursoe
 Comment[x-test]=xxInsert any readable file at cursor positionxx

=== modified file 'part/plugins/kdatatool/ktexteditor_kdatatool.desktop'
--- part/plugins/kdatatool/ktexteditor_kdatatool.desktop	2011-09-07 18:33:38 +0000
+++ part/plugins/kdatatool/ktexteditor_kdatatool.desktop	2011-11-23 14:02:22 +0000
@@ -72,6 +72,7 @@
 Comment[bs]=Omogućuje alate podataka kao što je tragač sinonima i provjera pravopisa
 Comment[ca]=Habilita les eines per a la gestió de dades, com ara el tesaurus i el corrector ortogràfic (si estan instal·lats)
 Comment[ca@valencia]=Habilita les eines per a la gestió de dades, com ara el tesaurus i el corrector ortogràfic (si estan instal·lats)
+Comment[cs]=Povolí datové nástroje jako tezaurus nebo kontrolu pravopisu (pokud jsou nainstalovány)
 Comment[da]=Aktivér dataværktøjer som begrebsordbog og stavekontrol (hvis installeret)
 Comment[de]=Dienstprogrammen wie Thesaurus und Rechtschreibprüfung aktivieren (falls installiert)
 Comment[en_GB]=Enable data tools like thesaurus and spell check (if installed)
@@ -108,7 +109,7 @@
 Comment[sv]=Aktivera dataverktyg som synonymordlista och stavningskontroll (om installerade)
 Comment[th]=เปิดใช้เครื่องมือจัดการข้อมูลเช่น พจนานุกรม และการตรวจคำสะกด (หากได้ติดตั้งไว้)
 Comment[tr]=Thesaurus ve imla denetimi gibi araçları (eğer kuruluysa) etkinleştir
-Comment[ug]=thesaurus غا ئوخشاش سانلىق مەلۇمات قورالى ۋە ئىملا تەكشۈرگۈچنى قوزغات (ئەگەر ئورنىتىلغان بولسا)
+Comment[ug]=thesaurus غا ئوخشاش سانلىق-مەلۇمات قورالى ۋە ئىملا تەكشۈرگۈچنى قوزغات (ئەگەر ئورنىتىلغان بولسا)
 Comment[uk]=Надає доступ до засобів на кшталт словників та перевірки правопису (якщо встановлені)
 Comment[wa]=Mete en alaedje les usteyes po manaedjî les dnêyes, come les diccionaires ou les coridjreces (si astalés)
 Comment[x-test]=xxEnable data tools like thesaurus and spell check (if installed)xx

=== modified file 'part/plugins/kte_iconinserter/ktexteditor_iconinserter.desktop'
--- part/plugins/kte_iconinserter/ktexteditor_iconinserter.desktop	2011-10-13 13:56:40 +0000
+++ part/plugins/kte_iconinserter/ktexteditor_iconinserter.desktop	2011-11-23 14:02:22 +0000
@@ -4,6 +4,7 @@
 Comment[bs]=Odabira ikonu i koristi je kao KIcon u izvornom kodu
 Comment[ca]=Seleccioneu una icona i utilitzeu-la com a «KIcon» en el codi font
 Comment[ca@valencia]=Seleccioneu una icona i utilitzeu-la com a «KIcon» en el codi font
+Comment[cs]=Vyberte ikonu a použijte ji ve vašem kódu jako KIcon
 Comment[da]=Vælg et ikon og brug det som et KIcon i din kildekode
 Comment[de]=Wählen Sie ein Symbol und verwenden Sie dieses als KIcon in Ihrem Quelltext
 Comment[en_GB]=Select an icon and use it as a KIcon in your source-code
@@ -49,6 +50,7 @@
 Name[bs]=Ubacivač ikona
 Name[ca]=Inserció d'icona
 Name[ca@valencia]=Inserció d'icona
+Name[cs]=Vložit ikonu
 Name[da]=IconInserter
 Name[de]=Symboleinfüger
 Name[en_GB]=IconInserter

=== modified file 'part/plugins/kte_insanehtml_le/data/ktexteditor_insanehtml_le.desktop'
--- part/plugins/kte_insanehtml_le/data/ktexteditor_insanehtml_le.desktop	2011-10-13 13:56:40 +0000
+++ part/plugins/kte_insanehtml_le/data/ktexteditor_insanehtml_le.desktop	2011-11-23 14:02:22 +0000
@@ -16,6 +16,7 @@
 Name[bs]=Luđačko (ne ZEN) HTML kodiranje (lako izdanje)
 Name[ca]=Codi (edició lleugera) HTML insà (no ZEN)
 Name[ca@valencia]=Codi (edició lleugera) HTML insà (no ZEN)
+Name[cs]=Insane (ne ZEN) HTML kódování (odlehčená verze)
 Name[da]=Insane (ikke ZEN) HTML-kodning (light-udgave)
 Name[de]=Irrsinnige HTML-Kodierung (nicht ZEN, Basisversion)
 Name[en_GB]=Insane (not ZEN) HTML coding (light edition)
@@ -58,6 +59,7 @@
 Comment[bs]=Dodatak koji obavlja zen-kodiranje kao kompletiranje izbornika
 Comment[ca]=Un connector que genera codi zen, com un selector de compleció 
 Comment[ca@valencia]=Un connector que genera codi zen, com un selector de compleció 
+Comment[cs]=Zásuvný modul podporující doplňování podobné zen-kódování
 Comment[da]=Et plugin som udfører zen-coding-lignende udvælgerfuldførelse
 Comment[de]=Ein Modul zur ZEN-ähnlichen Auswahlvervollständigung
 Comment[en_GB]=A plugin, which does zen-coding like selector completion

